Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 56d186f8b3176978055228e5cba0cbb071d5e2d7)
+++ BOOK/packages.ent	(revision 0194a602a3e3b317adebd81ea1d07e67492f503c)
@@ -5,8 +5,8 @@
 <!-- Note: For empty *-home entities use " " not "" -->
 
-<!ENTITY binutils-version "2.17">
-<!ENTITY binutils-size "13,496 KB">
+<!ENTITY binutils-version "2.19">
+<!ENTITY binutils-size "15,860 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
-<!ENTITY binutils-md5 "e26e2e06b6e4bf3acf1dc8688a94c0d1">
+<!ENTITY binutils-md5 "17a52219dee5a76c1a9d9b0bfd337d66">
 <!ENTITY binutils-home "http://sources.redhat.com/binutils/">
 
@@ -29,8 +29,8 @@
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net">
 
-<!ENTITY gcc-version "4.1.2">
-<!ENTITY gcc-size "38,931 KB">
+<!ENTITY gcc-version "4.3.2">
+<!ENTITY gcc-size "57,616 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "a4a3eb15c96030906d8494959eeda23c">
+<!ENTITY gcc-md5 "5dfac5da961ecd5f227c3175859a486d">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 56d186f8b3176978055228e5cba0cbb071d5e2d7)
+++ BOOK/patches.ent	(revision 0194a602a3e3b317adebd81ea1d07e67492f503c)
@@ -6,10 +6,6 @@
 
 <!ENTITY binutils-posix-patch "binutils-&binutils-version;-posix-1.patch">
-<!ENTITY binutils-posix-patch-md5 "7e42a8edc0c59246bbc58c428256113c">
-<!ENTITY binutils-posix-patch-size "4.9 KB">
-
-<!ENTITY binutils-uclibc-patch "binutils-&binutils-version;-uclibc-1.patch">
-<!ENTITY binutils-uclibc-patch-md5 "02206a199a78b14de01be6a38eb45de4">
-<!ENTITY binutils-uclibc-patch-size "12 KB">
+<!ENTITY binutils-posix-patch-md5 "f2020cb369c2facbfd8987fa2263f31f">
+<!ENTITY binutils-posix-patch-size "4 KB">
 
 <!ENTITY busybox-fixes-patch "busybox-&busybox-version;-fixes-1.patch">
@@ -17,15 +13,7 @@
 <!ENTITY busybox-fixes-patch-size "20 KB">
 
-<!ENTITY gcc-cross_search-patch "gcc-&gcc-version;-cross_search_paths-1.patch">
-<!ENTITY gcc-cross_search-patch-md5 "8ef51c0c74f0ea8511e59544f719470f">
-<!ENTITY gcc-cross_search-patch-size "4 KB">
-
 <!ENTITY gcc-posix-patch "gcc-&gcc-version;-posix-1.patch">
-<!ENTITY gcc-posix-patch-md5 "9aa1cdcbaedb4e1ed3f65ae25cdc413b">
+<!ENTITY gcc-posix-patch-md5 "ed26ea522e014b2e39adf066bd44053b">
 <!ENTITY gcc-posix-patch-size "12 KB">
-
-<!ENTITY gcc-uclibc-patch "gcc-&gcc-version;-uclibc-1.patch">
-<!ENTITY gcc-uclibc-patch-md5 "77764a4a5e2b71980e3964bbb6a95e35">
-<!ENTITY gcc-uclibc-patch-size "144 KB">
 
 <!ENTITY zlib-destdir-patch "zlib-&zlib-version;-DESTDIR-1.patch">
